Bug 1862838 - Calibre fails to start
Summary: Calibre fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 00:30 UTC by vywunm0jfimu
Modified: 2020-08-19 01:01 UTC (History)
8 users (show)

Fixed In Version: calibre-4.22.0-1.fc32 calibre-4.22.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-18 01:10:21 UTC
Type: Bug


Attachments (Terms of Use)

Description vywunm0jfimu 2020-08-03 00:30:41 UTC
Description of problem:

Calibre fails to start with error: AttributeError: 'NoneType' object has no attribute 'cancel'

Version-Release number of selected component (if applicable):

calibre-4.12.0-1.fc31.x86_64

How reproducible:

Each start attempt fails with this error.

Steps to Reproduce:
1. Call "calibre" from command-line.
2.
3.

Actual results:

$ calibre
Traceback (most recent call last):
  File "/usr/bin/calibre", line 20, in <module>
    sys.exit(calibre())
  File "/usr/lib64/calibre/calibre/gui_launch.py", line 72, in calibre
    main(args)
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 542, in main
    listener = create_listener()
  File "/usr/lib64/calibre/calibre/gui2/main.py", line 513, in create_listener
    return Listener(address=gui_socket_address())
  File "/usr/lib64/calibre/calibre/utils/ipc/server.py", line 109, in __init__
    self._listener._unlink.cancel()
AttributeError: 'NoneType' object has no attribute 'cancel'


Expected results:

calibre GUI appears.

Additional info:

The problem arises after applying most recent python updates:

- python3-3.7.8-1.fc31.x86_64
- python3-libs-3.7.8-1.fc31.x86_64
- python-unversioned-command-3.7.8-1.fc31.noarch

After downgrading these packages calibre was operational again:

$ dnf downgrade python3-3.7.7-3.fc31.x86_64 python-unversioned-command-3.7.7-3.fc31.noarch python3-libs-3.7.7-3.fc31.x86_64

Comment 1 Kevin Fenzi 2020-08-03 16:00:36 UTC
Can you try this scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48521592

Comment 2 vywunm0jfimu 2020-08-03 21:35:48 UTC
(In reply to Kevin Fenzi from comment #1)
> Can you try this scratch build:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=48521592

The test of the x86_64 package was successful with recent python updates!

Comment 3 Fedora Update System 2020-08-11 21:31:10 UTC
FEDORA-2020-b82c458a92 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b82c458a92

Comment 4 Fedora Update System 2020-08-11 21:31:13 UTC
FEDORA-2020-98879e1211 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-98879e1211

Comment 5 Fedora Update System 2020-08-12 01:26:43 UTC
FEDORA-2020-98879e1211 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-98879e1211`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-98879e1211

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-12 01:32:15 UTC
FEDORA-2020-b82c458a92 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b82c458a92`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b82c458a92

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-18 01:10:21 UTC
FEDORA-2020-98879e1211 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-19 01:01:43 UTC
FEDORA-2020-b82c458a92 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.